//
//  SGTScreenLightManage.m
//  Created by 史国涛 on 2022/3/8.
//

#import "SGTScreenLightManage.h"
#import <UIKit/UIKit.h>
@implementation SGTScreenLightManage

///设置亮度
+(void)setScreenLight:(double)light{
    if(light>1.0){
        light=1.0;
    }
    if(light<0){
        light=0.0;
    }
    [[UIScreen mainScreen] setBrightness:light];
}

/// 获取最大亮度
+(double)getScreenMaxLight{
    return 1.0;
}

///  获取当前亮度
+(double)getCurrentScreenLight{

    return [UIScreen mainScreen].brightness;
}


@end
